Subject: Re: bug#6736: Windows: make maintainer-clean does not restore fully clean bzr tree

From: Jason Rumney <[email-masked]>
Date: Tue, 27 Jul 2010 21:16:00 +0800

Christoph <[email-masked]> writes:

> The bin/ directory still contained the following files: cmdproxy.exe
> The site-lisp/ directory contained: subdirs.el
>
> `make realclean' deletes ../bin eventually. Shouldn't
> maintainer-clean' do the same if it claims to restore the fresh tree
> checkout?

I'm not sure.

Anything in ../bin is put there by "make install". I'm pretty sure make
maintainer-clean doesn't uninstall installed executables on other platforms
either, but then those platforms will also have installed copies of
other things that maintainer-clean does delete. Also if cmdproxy.exe is
the only file left in ../bin, then that seems more like a buggy
oversight than deliberately leaving the installed files alone.